public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
* [gentoo-commits] repo/gentoo:master commit in: sci-chemistry/nmrdepaker/
@ 2018-07-20 17:52 Pacho Ramos
  0 siblings, 0 replies; 6+ messages in thread
From: Pacho Ramos @ 2018-07-20 17:52 UTC (permalink / raw
  To: gentoo-commits

commit:     184c4b36564a01a68162060f18649b7b8d7ce33d
Author:     Pacho Ramos <pacho <AT> gentoo <DOT> org>
AuthorDate: Fri Jul 20 17:52:06 2018 +0000
Commit:     Pacho Ramos <pacho <AT> gentoo <DOT> org>
CommitDate: Fri Jul 20 17:52:06 2018 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=184c4b36

sci-chemistry/nmrdepaker: Introduce nmrdepaker software

Package-Manager: Portage-2.3.43, Repoman-2.3.10

 sci-chemistry/nmrdepaker/Manifest              |  1 +
 sci-chemistry/nmrdepaker/metadata.xml          |  7 ++++++
 sci-chemistry/nmrdepaker/nmrdepaker-1.0.ebuild | 33 ++++++++++++++++++++++++++
 3 files changed, 41 insertions(+)

diff --git a/sci-chemistry/nmrdepaker/Manifest b/sci-chemistry/nmrdepaker/Manifest
new file mode 100644
index 00000000000..5954d0c0455
--- /dev/null
+++ b/sci-chemistry/nmrdepaker/Manifest
@@ -0,0 +1 @@
+DIST nmrdepaker-1.0.tar.gz 2233765 BLAKE2B 9b638a36fc50d7c020d56833b6ca78d7079ad357f42431088c4c0735b7e9ce63a0e6318915ec751b42e6628c0da76b93ca16ffea1ffe6b311480e8d278ce1a1a SHA512 9d1a9048a85f85eacaeeb582c5550345efa673b1f517dad121e2b2e19125f93e71a26f2f8240ea9b8a06489814eb833e7b3653f882a46bad699b01fd1aa4299f

diff --git a/sci-chemistry/nmrdepaker/metadata.xml b/sci-chemistry/nmrdepaker/metadata.xml
new file mode 100644
index 00000000000..020b40648ee
--- /dev/null
+++ b/sci-chemistry/nmrdepaker/metadata.xml
@@ -0,0 +1,7 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+	<maintainer type="person">
+		<email>pacho@gentoo.org</email>
+	</maintainer>
+</pkgmetadata>

diff --git a/sci-chemistry/nmrdepaker/nmrdepaker-1.0.ebuild b/sci-chemistry/nmrdepaker/nmrdepaker-1.0.ebuild
new file mode 100644
index 00000000000..5ccd2c4508b
--- /dev/null
+++ b/sci-chemistry/nmrdepaker/nmrdepaker-1.0.ebuild
@@ -0,0 +1,33 @@
+# Copyright 1999-2018 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+DISTUTILS_SINGLE_IMPL="yes"
+PYTHON_COMPAT=( python2_7 )
+
+inherit desktop distutils-r1
+
+DESCRIPTION="Program to perform NMR spectra 'De-Pake-ing' and moment calculation"
+HOMEPAGE="https://launchpad.net/nmrdepaker"
+SRC_URI="https://launchpad.net/${PN}/${PV}/${PV}/+download/${P}.tar.gz"
+
+SLOT="0"
+LICENSE="GPL-3+"
+KEYWORDS="~amd64"
+IUSE=""
+
+RDEPEND="
+	>=dev-python/matplotlib-0.98.5[gtk2,${PYTHON_USEDEP}]
+	>=dev-python/numpy-1.2[${PYTHON_USEDEP}]
+	>=dev-python/pygtk-2.12:2[${PYTHON_USEDEP}]
+"
+DEPEND="${RDEPEND}"
+
+S="${WORKDIR}/nmrdpaker-${PV}"
+
+src_install() {
+	distutils-r1_src_install
+
+	newicon lib/data/images/unused/nmrfriend-buddy.svg ${PN}.svg
+	make_desktop_entry ${PN}
+}


^ permalink raw reply related	[flat|nested] 6+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: sci-chemistry/nmrdepaker/
@ 2020-01-16  6:39 Michał Górny
  0 siblings, 0 replies; 6+ messages in thread
From: Michał Górny @ 2020-01-16  6:39 UTC (permalink / raw
  To: gentoo-commits

commit:     da3b4d2d53e57f5d8c7494a6a0d6097a5994d48c
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Thu Jan 16 06:25:58 2020 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Thu Jan 16 06:37:58 2020 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=da3b4d2d

sci-chemistry/nmrdepaker: Permit numpy-python2

Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>

 sci-chemistry/nmrdepaker/nmrdepaker-1.0.ebuild | 7 +++++--
 1 file changed, 5 insertions(+), 2 deletions(-)

diff --git a/sci-chemistry/nmrdepaker/nmrdepaker-1.0.ebuild b/sci-chemistry/nmrdepaker/nmrdepaker-1.0.ebuild
index 5ccd2c4508b..29a13632c88 100644
--- a/sci-chemistry/nmrdepaker/nmrdepaker-1.0.ebuild
+++ b/sci-chemistry/nmrdepaker/nmrdepaker-1.0.ebuild
@@ -1,4 +1,4 @@
-# Copyright 1999-2018 Gentoo Foundation
+# Copyright 1999-2020 Gentoo Authors
 # Distributed under the terms of the GNU General Public License v2
 
 EAPI=7
@@ -18,7 +18,10 @@ IUSE=""
 
 RDEPEND="
 	>=dev-python/matplotlib-0.98.5[gtk2,${PYTHON_USEDEP}]
-	>=dev-python/numpy-1.2[${PYTHON_USEDEP}]
+	|| (
+		dev-python/numpy-python2[${PYTHON_USEDEP}]
+		>=dev-python/numpy-1.2[${PYTHON_USEDEP}]
+	)
 	>=dev-python/pygtk-2.12:2[${PYTHON_USEDEP}]
 "
 DEPEND="${RDEPEND}"


^ permalink raw reply related	[flat|nested] 6+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: sci-chemistry/nmrdepaker/
@ 2020-01-22 21:50 Michał Górny
  0 siblings, 0 replies; 6+ messages in thread
From: Michał Górny @ 2020-01-22 21:50 UTC (permalink / raw
  To: gentoo-commits

commit:     de32d1d86e26fd996438513891486b91ae6da7e4
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Wed Jan 22 21:44:21 2020 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Wed Jan 22 21:49:55 2020 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=de32d1d8

sci-chemistry/nmrdepaker: Revbump post dep change

Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>

 .../nmrdepaker/{nmrdepaker-1.0.ebuild => nmrdepaker-1.0-r1.ebuild}        | 0
 1 file changed, 0 insertions(+), 0 deletions(-)

diff --git a/sci-chemistry/nmrdepaker/nmrdepaker-1.0.ebuild b/sci-chemistry/nmrdepaker/nmrdepaker-1.0-r1.ebuild
similarity index 100%
rename from sci-chemistry/nmrdepaker/nmrdepaker-1.0.ebuild
rename to sci-chemistry/nmrdepaker/nmrdepaker-1.0-r1.ebuild


^ permalink raw reply	[flat|nested] 6+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: sci-chemistry/nmrdepaker/
@ 2020-01-28 20:40 Michał Górny
  0 siblings, 0 replies; 6+ messages in thread
From: Michał Górny @ 2020-01-28 20:40 UTC (permalink / raw
  To: gentoo-commits

commit:     c88aa78545ef7467f7d1fc39383323d79c4bdee6
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Tue Jan 28 20:22:05 2020 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Tue Jan 28 20:40:25 2020 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=c88aa785

sci-chemistry/nmrdepaker: Permit matplotlib-python2

Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>

 sci-chemistry/nmrdepaker/nmrdepaker-1.0-r1.ebuild | 5 ++++-
 1 file changed, 4 insertions(+), 1 deletion(-)

diff --git a/sci-chemistry/nmrdepaker/nmrdepaker-1.0-r1.ebuild b/sci-chemistry/nmrdepaker/nmrdepaker-1.0-r1.ebuild
index 29a13632c88..043fd37324e 100644
--- a/sci-chemistry/nmrdepaker/nmrdepaker-1.0-r1.ebuild
+++ b/sci-chemistry/nmrdepaker/nmrdepaker-1.0-r1.ebuild
@@ -17,7 +17,10 @@ KEYWORDS="~amd64"
 IUSE=""
 
 RDEPEND="
-	>=dev-python/matplotlib-0.98.5[gtk2,${PYTHON_USEDEP}]
+	|| (
+		>=dev-python/matplotlib-python2-0.98.5[gtk2,${PYTHON_USEDEP}]
+		>=dev-python/matplotlib-0.98.5[gtk2,${PYTHON_USEDEP}]
+	)
 	|| (
 		dev-python/numpy-python2[${PYTHON_USEDEP}]
 		>=dev-python/numpy-1.2[${PYTHON_USEDEP}]


^ permalink raw reply related	[flat|nested] 6+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: sci-chemistry/nmrdepaker/
@ 2020-01-28 21:30 Michał Górny
  0 siblings, 0 replies; 6+ messages in thread
From: Michał Górny @ 2020-01-28 21:30 UTC (permalink / raw
  To: gentoo-commits

commit:     8f0798293265fe6da44ca50ded598b85bee04de3
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Tue Jan 28 21:28:07 2020 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Tue Jan 28 21:30:24 2020 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=8f079829

sci-chemistry/nmrdepaker: Revbump post dep change

Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>

 .../nmrdepaker/{nmrdepaker-1.0-r1.ebuild => nmrdepaker-1.0-r2.ebuild}     | 0
 1 file changed, 0 insertions(+), 0 deletions(-)

diff --git a/sci-chemistry/nmrdepaker/nmrdepaker-1.0-r1.ebuild b/sci-chemistry/nmrdepaker/nmrdepaker-1.0-r2.ebuild
similarity index 100%
rename from sci-chemistry/nmrdepaker/nmrdepaker-1.0-r1.ebuild
rename to sci-chemistry/nmrdepaker/nmrdepaker-1.0-r2.ebuild


^ permalink raw reply	[flat|nested] 6+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: sci-chemistry/nmrdepaker/
@ 2020-02-09 16:47 Michał Górny
  0 siblings, 0 replies; 6+ messages in thread
From: Michał Górny @ 2020-02-09 16:47 UTC (permalink / raw
  To: gentoo-commits

commit:     581ffda9dab73df0d33280a97c2dd044aa184383
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Sat Feb  8 06:57:35 2020 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Sun Feb  9 16:46:47 2020 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=581ffda9

sci-chemistry/nmrdepaker: Switch to PYTHON_MULTI_USEDEP API

Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>

 ...epaker-1.0-r2.ebuild => nmrdepaker-1.0-r3.ebuild} | 20 +++++++++++---------
 1 file changed, 11 insertions(+), 9 deletions(-)

diff --git a/sci-chemistry/nmrdepaker/nmrdepaker-1.0-r2.ebuild b/sci-chemistry/nmrdepaker/nmrdepaker-1.0-r3.ebuild
similarity index 65%
rename from sci-chemistry/nmrdepaker/nmrdepaker-1.0-r2.ebuild
rename to sci-chemistry/nmrdepaker/nmrdepaker-1.0-r3.ebuild
index 043fd37324e..66a98a99cef 100644
--- a/sci-chemistry/nmrdepaker/nmrdepaker-1.0-r2.ebuild
+++ b/sci-chemistry/nmrdepaker/nmrdepaker-1.0-r3.ebuild
@@ -17,15 +17,17 @@ KEYWORDS="~amd64"
 IUSE=""
 
 RDEPEND="
-	|| (
-		>=dev-python/matplotlib-python2-0.98.5[gtk2,${PYTHON_USEDEP}]
-		>=dev-python/matplotlib-0.98.5[gtk2,${PYTHON_USEDEP}]
-	)
-	|| (
-		dev-python/numpy-python2[${PYTHON_USEDEP}]
-		>=dev-python/numpy-1.2[${PYTHON_USEDEP}]
-	)
-	>=dev-python/pygtk-2.12:2[${PYTHON_USEDEP}]
+	$(python_gen_cond_dep '
+		|| (
+			>=dev-python/matplotlib-python2-0.98.5[gtk2,${PYTHON_MULTI_USEDEP}]
+			>=dev-python/matplotlib-0.98.5[gtk2,${PYTHON_MULTI_USEDEP}]
+		)
+		|| (
+			dev-python/numpy-python2[${PYTHON_MULTI_USEDEP}]
+			>=dev-python/numpy-1.2[${PYTHON_MULTI_USEDEP}]
+		)
+		>=dev-python/pygtk-2.12:2[${PYTHON_MULTI_USEDEP}]
+	')
 "
 DEPEND="${RDEPEND}"
 


^ permalink raw reply related	[flat|nested] 6+ messages in thread

end of thread, other threads:[~2020-02-09 16:47 UTC | newest]

Thread overview: 6+ messages (download: mbox.gz follow: Atom feed
-- links below jump to the message on this page --
2020-02-09 16:47 [gentoo-commits] repo/gentoo:master commit in: sci-chemistry/nmrdepaker/ Michał Górny
  -- strict thread matches above, loose matches on Subject: below --
2020-01-28 21:30 Michał Górny
2020-01-28 20:40 Michał Górny
2020-01-22 21:50 Michał Górny
2020-01-16  6:39 Michał Górny
2018-07-20 17:52 Pacho Ramos

This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox